Get invoice import details

GEThttps://app.speybooks.com/api/v1/invoice-imports/{id}

Retrieve full details of an invoice import including the import metadata (with audit timestamps), parsed rows with per-row contact resolution, clearingProof, and confirmation eligibility.

Returns the same rich payload as the upload response, making it suitable for re-rendering the import wizard after page navigation.

Path parameters

idstringrequired
Data import ID (e.g. dimp_3).

Response

200Import record with direction, cutoverDate, stats, rows with contact resolution, clearingProof, errors, and canConfirm.
Show response fields
canConfirmboolean
clearingProofobject
Show child attributes
clearedboolean
importDeltastring
netBalancestring
openingBalancestring
cutoverDatestring
directionstring
errorsarray<object>
importobject
Show child attributes
completedAtstringnullable
createdAtstringdate-time
engineVersionstring
filenamestring
idstring
statusstring
totalRowsinteger
rowsarray<object>
Show child attributes
contactobject
Show child attributes
confidenceinteger
contactIdstring
contactNamestring
outcomestring
reasonstring
contactNamestring
docDatestring
docNumberstring
errorstringnullable
errorDetailstringnullable
grossstring
outstandingstring
paidstring
rowIndexinteger
statusstring
statsobject
Show child attributes
errorRowsinteger
totalGrossstring
totalOutstandingstring
totalPaidstring
totalRowsinteger
validRowsinteger

Error codes

404Invoice import not found.